Часто задаваемые вопросы — Технология дополнений Firefox модернизируется

Что такое устаревшее расширение?

Расширение, созданные с помощью окружений, не совместимых с Firefox 57 и более поздними версиями (таких как SDK или XUL), рассматриваются как «устаревшие» расширения.

Как я могу узнать, есть ли у меня установленные устаревшие расширения?

Чтобы узнать, есть ли у вас установленные несовместимые расширения, перейдите в Менеджер дополнений. Нажмите кнопку меню Fx57Menu и выберите Дополнения и темы или введите about:addons в новой вкладке. Если у вас есть устаревшее расширение, оно будет отображаться как отключённое и переключатель включения не будет виден.

Чтобы узнать, есть ли у вас установленные несовместимые расширения, перейдите в Менеджер дополнений. Нажмите кнопку меню Fx57Menu и выберите Дополнения или введите about:addons в новой вкладке. Если у вас есть устаревшее расширение, оно будет отображено как отключённое и возможность его включить отображаться не будет.

Вы можете порекомендовать замену для моих устаревших расширений?

Мы рекомендуем вам искать совместимые расширения на addons.mozilla.org (AMO) или с помощью поиска по рекомендуемой коллекции.

Также вы можете использовать утилиту поиска расширений для поиска расширений, которые вы хотите заменить, и изучения рекомендованных замен.

Для одного из моих устаревших расширений нет рекомендуемых замен. Что теперь?

Если вы не сможете найти подходящую замену, воспользуйтесь нашим форумом, чтобы попросить предложения у сообщества.

Когда Firefox ESR прекратил поддерживать устаревшие расширения?

Firefox Extended Support Release (ESR) версии 52 — был последней версией, поддерживающей устаревшие расширения. Поддержка ESR 52 закончилась 5 сентября 2018 года.

В октябре 2018 года все устаревшие дополенния были отключены на addons.mozilla.org (AMO). Пользователи больше не смогут найти устаревшие дополнения на AMO.

Если вы решили использовать неподдерживаемые релизы, чтобы использовать устаревшие дополнения, это может сделать вас уязвимым к угрозам безопасности и мы настоятельно не рекомендуем их использование.

Что случилось с моей полноценной темой?

Полноценные темы не работают в Firefox 57+ и отключены. Если вы используете тёмную полноценную тему, Тёмная тема в Управлении дополнениями может стать для вас хорошим вариантом. Перейдите вкладку Темы в about:addons и попробуйте. Мы готовим улучшения для тем в предстоящие месяцы, так что ожидайте темы с дополнительной функциональностью за пределами покрытия изображениями в будущих релизах.

Оцените статью
Добавить комментарий